Get Native Token Balance by Account
POST
Retrieves the native token balance held by a specific account. The token type may vary depending on the selected chain. (e.g.,For Bitcoin, you can query the BTC balance.)
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Request BodyBitcoin
accountAddressstringrequired
Parameter specifying the account address to query.Responses
ownerAddressstringrequired
Field representing the owner address.balancestringrequired
Field representing the balance.codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "MISSING_REQUIRED_PARAMETER","message": "Missing required parameter: { PARAMETER_NAME }"}
cURL
curl -X POST 'https://web3.nodit.io/v1/bitcoin/mainnet/native/getNativeTokenBalanceByAccount' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"accountAddress": "bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf5mdq"}'